%define name	GSnes9x
%define version 3.12
%define rel 9
%define release %mkrel %rel
%define distsuffix plf

Summary:	GNOME front-end for the Snes9X SNES emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Emulators
License:	GPL
URL:		http://sourceforge.net/projects/gsnes9x/
Source0:	http://prdownloads.sourceforge.net/gsnes9x/%{name}-%{version}.tar.bz2
Source1:	%name-32.png
Source2:	%name-16.png
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	snes9x
BuildRequires:	gnome-libs-devel

%description
GSnes9x is a GNOME front-end for the Snes9X SNES emulator. It allows 
setting and preservation of options for each ROM, and keeps a Cheat Codes 
database, an unlimited amount of codes can be stored.

This package is in PLF, as Mandriva doesn't allow console
emulation in Mandriva Linux.
%prep

%setup -q

%build
find . | xargs touch
%configure
%make

%install

%makeinstall
%find_lang %{name} --with-gnome
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
cp pixmaps/gsnes9x-icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %SOURCE2 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
rm -f %buildroot%_datadir/gnome/apps/Games/gsnes9x.desktop
install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
needs="x11" \
section="More Applications/Emulators" \
title="%{name}" \
longtitle="Super NES Emulator" \
command="%{name}" \
icon="%{name}.png" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=Super NES Emulator
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;Emulator;X-MandrivaLinux-MoreApplications-Emulators;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
 
%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/pixmaps/*
%_datadir/applications/mandriva-*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Jul 10 2006 Gtz Waschk <goetz@zarb.org> 3.12-9plf2007.0
- xdg menu

* Mon May 16 2005 Gtz Waschk <goetz@zarb.org> 3.12-8plf
- mkrel

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 3.12-7plf
- fix description

* Sat Feb  1 2003 Gtz Waschk <goetz@plf.zarb.org> 3.12-6plf
- add missing files
- fix requires

* Thu Sep 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 3.12-5plf
- fix menu long title

* Wed Sep 25 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 3.12-4plf
- fix localized files
- clean up requires 
- fix icons
- make it require snes-binary instead of snes9x-binary

* Sat Sep 07 2002 David Walluck <david@anti-microsoft.org> 3.12-3plf
- just rebuilding to go along with the snes9x 3plf release

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 3.12-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 3.12-1plf
- release
